## desktop-profiles 1.4.5

=== Makefile ===
#!/usr/bin/make -f

PREFIX=/usr/local

build: documentation l10n

documentation:
	pod2man dh_installlisting > dh_installlisting.1

pot:
	kmdr2po profile-manager.kmdr
	mkdir -p po/
	mv profile-manager.po po/profile-manager.pot
	# @i18n strings aren't picked up by kdmr2po at the moment
	echo  >> po/profile-manager.pot
	echo 'msgid "Save Changes"' >> po/profile-manager.pot
	echo 'msgstr ""' >> po/profile-manager.pot

# Add language-targets as they're added
# install-l10n will be called from debian rules
l10n: po/nl.mo po/it.mo
install-l10n: install-nl.mo install-it.mo
	
po/%.mo: po/%.po
	msgfmt -o $@ $<

install-%.mo: po/%.mo
	mkdir -p ${PREFIX}/share/locale/$*/LC_MESSAGES/
	install --mode 644 $< ${PREFIX}/share/locale/$*/LC_MESSAGES/profile-manager.mo

clean: 
	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;  
	if(ls po/*.mo 2> /dev/null > /dev/null); then rm po/*.mo; fi;

=== debian/changelog ===
desktop-profiles (1.4.5) unstable; urgency=low

  * list-desktop-profiles now validates precedence filters equasions
  * Fixed layout of profile detail pane in gui-script so it resizes correctly
    to accomodate translated strings
  * Added Italian translation for GUI script from Marco Presi (aka zufus)
  * Improved Dutch translation

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Wed, 18 May 2005 19:05:53 +0200

desktop-profiles (1.4.4) unstable; urgency=low

  * Added lintian overrides file to eliminate spurious lintian warnings
    (Xsession.d scripts (see also bug #309203) and shell libraries are ment to
    be sourced not executed, hence the script-not-executable warning is
    wrong)
  * Adapted Xsession.d script so it doesn't do anything when the pacakge is
    removed (the Xsesion.d script is under /etc/, thus a conffile, and hence
    left on the system unless the package is purged), prevents X breakage
    after package removal, thanks to zufus @ debian . org for noticing.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Mon, 16 May 2005 00:21:06 +0200

desktop-profiles (1.4.3) unstable; urgency=low

  * Add possibility to use fieldnumbers instead of name when specifying the 
    sort field for list-desktop-profiles
  * Changed gui-script to use fieldnumbers instead of name (as the latter 
    resulted in translated names being passed to list-desktop-profiles,
    which off course doesn't work)
  * Changed packaging to cope with translations of the gui script, and added
    Dutch translation (start with KDE_LANG=nl from commandline to get the 
    Dutch version of the gui)
  * Played with layouts in the gui-script to make it better cope with the 
    translated strings (still not perfect, so translators will want to check
    their translations in action)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Thu, 12 May 2005 22:44:55 +0200

desktop-profiles (1.4.2) unstable; urgency=low

  * Added convenience script for starting the gui + man page for that
  * i18n the kommander script (l10n to follow)
  * Make lintian and linda run on the source package without errors
    (binary package was clean already)
  * Changed package description to give a clearer indication of who should be
    interested in this package

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Sun,  8 May 2005 20:32:29 +0200

desktop-profiles (1.4.1-1) unstable; urgency=low

  * Guillem Jover
    - Fixed typo and disambiguate path by quoting it in the English template.
    - Updated .po files.
  * Bart Cornelis
    - Updated Dutch translation
    - Updated documentation:
      + list-desktop-profiles man page still refered to old order of fields
      + desktop-profiles man page is partly rewritten to present things in a
        clearer way
      + README referred to no longer existing .deb package for kiosktool from
        the kalyxo team, now points to the ITP. 
      + Put a pre precanned .listing file for debian-edu users online, and      
        referred to it in the README
      + Document in README that profile-manager.kmdr script doesn't work with
        the KDE 3.4. kommander package, only with the 3.3 one.
    - Use correct fieldnumber for precedence when sorting (was still using the
      old field number in places)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Mon,  2 May 2005 18:09:21 +0200

desktop-profiles (1.4-1) unstable; urgency=low

  * Format change in the .listing files: more particularely make profile KIND
    be the 2nd field instead of the 5th. As pointed out by Matthew McGuire 
    <gray@shadowglade.net> this makes things more readable. Automatic 
    conversion of old .listing files in /etc/desktop-profiles is provided.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Thu,  3 Feb 2005 17:34:38 +0100

desktop-profiles (1.3-2) unstable; urgency=low

  * Documented in man page that profile name should be unique within each 
    .listing file.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Wed,  2 Feb 2005 10:33:33 +0100

desktop-profiles (1.3-1) unstable; urgency=low

  * Added support for setting up GNUSTEP domains through GNUSTEP_PATHLIST
  * Further optimalization of Xsession.d script
  * Some polishing of kommander GUI

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Tue, 18 Jan 2005 18:14:57 +0100

desktop-profiles (1.2-1) unstable; urgency=low

  * Added kommander GUI for managing the /etc/desktop-profiles/*.listing files
  * Added debhelper program for installing .listing files (and use it)
  * Make it possible to specify additional directories containg .listing files
    (usefull for testing)
  * Optimization in Xsession.d script: only test requirements once, instead of
    once for each profile kind. Provides major speedup since execution time is
    now mostly independ from the number of active profile kinds.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Mon, 10 Jan 2005 16:43:50 +0100

desktop-profiles (1.1-2) unstable; urgency=low

  * Changed package description to something a bit better.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Thu, 25 Nov 2004 23:04:48 +0100

desktop-profiles (1.1-1) unstable; urgency=low

  * Add script for listing profiles (that answer to certain criteria), so
    the admin doesn't need to search through all the .listing files himself
  * Allow admin to never activate profile kinds, disabling profiles you'll
    never use gives a small improvement for x-startup.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Thu,  11 Nov 2004 22:39:14 +0100

desktop-profiles (1.0-2) unstable; urgency=low

  * GNOME doesn't always like it if user write source is in secondary include
    , so change it around

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Sat, 30 Oct 2004 01:09:02 +0200

desktop-profiles (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Tue, 12 Oct 2004 20:42:38 +0200

=== debian/control ===
Source: desktop-profiles
Section: admin
Priority: optional
Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: po-debconf
Standards-Version: 3.6.1

Package: desktop-profiles
Architecture: all
Depends: ${misc:Depends}
Suggests: kommander, gconf-editor, kiosktool, menu-xdg, hicolor-icon-theme, shared-mime-info
Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
Description: framework for setting up desktop profiles
 The different Desktop environments in Debian all offer the possibillity of 
 customizing them through the use of profiles (sets of configuration and/or
 data files). Usually it's also possible to stack configuration sets,
 combining the customizations provided by a number of profiles.
 .
 This package offers a standard cross-desktop way of managing the conditional
 activation of available profiles. As such it is useful to both administrators
 (allowing different configurations for different sets of users) and CDD's 
 (who want to have a configuration customized for a certain target group). 
 .
 This package currently supports setting up profiles for KDE, GNOME, ROX,
 XFCE (>=4.2), GNUSTEP, UDE, and Freedesktop. Freedesktop profiles allow
 you to do a (growing amount of) cross-desktop customization, while the 
 other profile kinds allow you to customize the respective desktop environments
 to various degrees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: 
	# build man-page for dh_installlisting and generate .mo files (l10n)
	make

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	make clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/desktop-profiles.
	# everything done by dh_* scripts

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot	
	install --mode 644 debian/desktop-profiles.overrides debian/desktop-profiles/usr/share/lintian/overrides/desktop-profiles
	make install-l10n PREFIX=./debian/desktop-profiles/usr
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_installexamples path
	dh_installman desktop-profiles.7 list-desktop-profiles.1 dh_installlisting.1 profile-manager.1
	dh_install dh_installlisting profile-manager usr/bin
	dh_install listingmodule usr/share/desktop-profiles/
	dh_install list-desktop-profiles usr/bin/
	dh_install profile-manager.kmdr usr/share/desktop-profiles/kommander-scripts/
	dh_install desktop-profiles etc/default
	dh_install 20desktop-profiles_activateDesktopProfiles etc/X11/Xsession.d/
	./dh_installlisting
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## desktop-profiles 1.4.9

=== debian/changelog ===
desktop-profiles (1.4.9) unstable; urgency=low

  * Added note about profiles not being set on 'ssh -X' logins to README,
    also added shell-script-snippet to fix this for bourne-type shells in
    /usr/share/doc/desktop-profiles/examples (we don't have a /etc/profile.d 
    so we can't add this automatically)
  * changed some `` expressions to $() instead, as appearently ksh doens't
    always accept the former for some reason
  * Added updated Vietnamese debconf translation
  * When GNUstep isn't installed don't output message about missing 
    /usr/lib/GNUstep/System/Library/Makefiles/user_home on stderr.
  * When gconf isn't installed don't output message aoubt missing
    /etc/gconf/*/path

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Fri,  6 Jan 2006 14:41:21 +0100

desktop-profiles (1.4.8) unstable; urgency=low

  * Removed declare bashism from path2listing and listingmodule scripts
    (Closes: #335605)
  * Translations:
    - Added Swedisch translation by Daniel Nylander (Closes: #333762)
    - Added Portuguese translation by Rui Branco
    - Added Spanish translation by César Gómez Martín (Closes: #336063)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Mon, 14 Nov 2005 13:38:46 +0100

desktop-profiles (1.4.7) unstable; urgency=low

  * Added a conversion script (to be run manually by admin) that will:
    - generate the metadata needed to manage all currently used configuration
      sources (including those added by the admin) through the mechanism
      provided by this package
    - replace (unless you tell it not to) the global path file by one that
      assumes all configuration sources are managed through desktop-profiles
    - creates backup copies of everything it changes
  * Removed the hook that allowed changing the global path file from within
    the postinst maintainer script, instead we now just tell the admin that
    the global path file needs changing, and point him to the conversion
    script (Closes: 309871, 311113)
  * Updated kommander gui-script to work with kommander from kde 3.4.X
  * Change to debian-policy version 3.6.2
  * Translations:
    - Added French translation by Jean-Luc Coulon (f5ibh) and the French
      translation team (Closes: 312437, 332719)
    - Added Vietnamese translation send in by Clytie Siddall, and
      corrected some spelling mistakes in the English strings that she
      noticed (Closes: 313510)
    - Added Czech tranlsation by Miroslav Kure (Closes: 315828)
    - Added Portuguese Translation by Miguel Figueiredo (Closes: 330380)
    - Added Basque translation by pi <pi@beobide.net>
    - Updated Dutch translation
    - Adapted creation of profile-manager.pot so that translators don't have
      to do unnecesary work

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Mon, 10 Oct 2005 23:02:20 +0200

desktop-profiles (1.4.6) unstable; urgency=high

  * Put generated path files into XDG_CACHE_HOME, and randomize file names
    to avoid succesfull attack, and put proposed path file into
    /usr/share/desktop-profiles as per policy 12.3.
    Thanks to Aaron M. Ucko for pointing these out (Closes: 309978)
  * Added extended note about replacing/changing default gconf path file
    in README file, also changed wording of debconf to be more informative
    about why this is necessary
  * Changed section to x11 (as per the override by ftp-masters)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Sun, 29 May 2005 14:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: desktop-profiles
-Section: admin
+Section: x11
 Priority: optional
 Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
+Uploaders: Marco Presi (Zufus) <zufus@debian.org>
 Build-Depends: debhelper (>= 4.0.0)
-Build-Depends-Indep: po-debconf
-Standards-Version: 3.6.1
+Build-Depends-Indep: po-debconf, intltool
+Standards-Version: 3.6.2
 
 Package: desktop-profiles
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -37,14 +37,16 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installmenu
-	dh_installexamples path
-	dh_installman desktop-profiles.7 list-desktop-profiles.1 dh_installlisting.1 profile-manager.1
+	dh_installman desktop-profiles.7 list-desktop-profiles.1 dh_installlisting.1 profile-manager.1 path2listing.1
 	dh_install dh_installlisting profile-manager usr/bin
-	dh_install listingmodule usr/share/desktop-profiles/
+	dh_install listingmodule path usr/share/desktop-profiles/
+	dh_link usr/share/desktop-profiles/path usr/share/doc/desktop-profiles/examples/path
+	dh_install profile-snippet usr/share/doc/desktop-profiles/examples
 	dh_install list-desktop-profiles usr/bin/
 	dh_install profile-manager.kmdr usr/share/desktop-profiles/kommander-scripts/
 	dh_install desktop-profiles etc/default
 	dh_install 20desktop-profiles_activateDesktopProfiles etc/X11/Xsession.d/
+	dh_install path2listing usr/sbin
 	./dh_installlisting
 	dh_installdebconf
 	dh_compress

## desktop-profiles 1.4.12

=== debian/changelog ===
desktop-profiles (1.4.12) unstable; urgency=low

  * Fixed typo in package description noticed by Simon Waters
    <simon@technocool.net> (Closes: #363232)
  * Add note about pessulus en sabayon tools (which help with creating
    gnome profiles) in README, and add suggest on pessulus.
  * example zlogin-snippet now runs the Xsession script directly (it needed
    the shwordsplit option to be set)
  * tcsh version 6.14.00-5 modularized the system-wide on-login file for
    csh and tcsh, so we now apply the 'ssh -X' fix automatically for these
    two shells.
  * Upgraded to policy version 3.7.2 (no changes needed)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Fri, 12 May 2006 12:21:07 +0200

desktop-profiles (1.4.11) unstable; urgency=low

  * Added shell-specific fix for the 'ssh -X' bug for psh shell.
  * psh version 1.8-6 and zoidberg 0.96-1 modularized their system-wide 
    on-login file, so we now apply the 'ssh -X' fix automatically for these 
    two shells.
  * Set debhelper compatibility level to 5

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Tue, 14 Mar 2006 18:38:59 +0100

desktop-profiles (1.4.10) unstable; urgency=low

  * Translations:
    - Added Brazilian Portuguese translation by Felipe Augusto van de Wiel
    (Closes: #348623)
  * Added shell-specific fixes for the 'ssh -X'-bug for for csh, tcsh, zsh,
    fish, and zoidberg shells, plus related note in README.

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Thu,  2 Feb 2006 18:10:23 +0100

## desktop-profiles 1.4.13

=== Makefile ===
#!/usr/bin/make -f

PREFIX=/usr/local

build: documentation l10n

documentation:
	pod2man dh_installlisting > dh_installlisting.1

pot: po/profile-manager.pot
	kmdr2po profile-manager.kmdr
	mkdir -p po/	
	msgmerge po/profile-manager.pot profile-manager.po > po/profile-manager.pot.new
	mv po/profile-manager.pot.new po/profile-manager.pot && rm profile-manager.po
	# @i18n strings aren't picked up by kdmr2po at the moment
	echo  >> po/profile-manager.pot
	echo 'msgid "Save Changes"' >> po/profile-manager.pot
	echo 'msgstr ""' >> po/profile-manager.pot

# Add language-targets as they're added
# install-l10n will be called from debian rules
l10n: po/cs.mo po/eu.mo po/fr.mo po/it.mo po/nl.mo po/pt.mo po/sv.mo po/vi.mo 
install-l10n: install-cs.mo install-eu.mo install-fr.mo install-it.mo install-nl.mo install-pt.mo install-sv.mo install-vi.mo
update-l10n: update-cs.po update-eu.po update-fr.po update-it.po update-nl.po update-pt.po update-sv.po update-vi.po
	
po/%.mo: po/%.po update-%.po
	msgfmt -o $@ $<

install-%.mo: po/%.mo
	mkdir -p ${PREFIX}/share/locale/$*/LC_MESSAGES/
	install --mode 644 $< ${PREFIX}/share/locale/$*/LC_MESSAGES/profile-manager.mo

update-%.po: po/%.po po/profile-manager.pot
	cd po && intltool-update -g profile-manager -d $*
	cd ..

clean: 
	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;  
	if(ls po/*.mo 2> /dev/null > /dev/null); then rm po/*.mo; fi;

=== debian/changelog ===
desktop-profiles (1.4.13) unstable; urgency=low

  * fixed small mistake in for_each_requirement function of listingmodule
    (triggered for profiles multiple shell-command requirements)
  * Updated French translation by Jean-Luc Coulon (Closes: #387015)
  * Adapted man page to unclude reference to /usr/sbin/path2listing for gconf
  * Removed medium priority note pointing gconf users to the path2listing
    script, that info is now in the man-page and the README (Closes: #388884)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Fri,  6 Oct 2006 11:28:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,12 +39,16 @@
 	dh_installmenu
 	dh_installman desktop-profiles.7 list-desktop-profiles.1 dh_installlisting.1 profile-manager.1 path2listing.1
 	dh_install dh_installlisting profile-manager usr/bin
-	dh_install listingmodule path usr/share/desktop-profiles/
+	dh_install listingmodule get_desktop-profiles_variables path usr/share/desktop-profiles/
 	dh_link usr/share/desktop-profiles/path usr/share/doc/desktop-profiles/examples/path
-	dh_install profile-snippet usr/share/doc/desktop-profiles/examples
+	dh_install profile-snippet zlogin-snippet usr/share/doc/desktop-profiles/examples
 	dh_install list-desktop-profiles usr/bin/
 	dh_install profile-manager.kmdr usr/share/desktop-profiles/kommander-scripts/
 	dh_install desktop-profiles etc/default
+	dh_install desktop-profiles.csh etc/csh/login.d/
+	dh_install desktop-profiles.fish etc/fish.d/
+	dh_install desktop-profiles_pshrc.pl etc/pshrc.d/
+	dh_install desktop-profiles_zoidrc.pl etc/zoidrc.d/
 	dh_install 20desktop-profiles_activateDesktopProfiles etc/X11/Xsession.d/
 	dh_install path2listing usr/sbin
 	./dh_installlisting

## desktop-profiles 1.4.14

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PREFIX=/usr/local
 
-build: documentation l10n
+build: documentation l10n zip-tests
 
 documentation:
 	pod2man dh_installlisting > dh_installlisting.1
@@ -34,6 +34,10 @@
 	cd po && intltool-update -g profile-manager -d $*
 	cd ..
 
+zip-tests:
+	tar -cvzf tests.tgz tests
+
 clean: 
 	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;  
 	if(ls po/*.mo 2> /dev/null > /dev/null); then rm po/*.mo; fi;  
+	if(test -e tests.tgz); then rm tests.tgz; fi

=== debian/changelog ===
desktop-profiles (1.4.14) unstable; urgency=low

  * Adapted lintian override for csh/tcsh login hook to reflect change in
    lintian 1.23.25
  * Adapt documentation to reflect that management of gnome profiles is now
    supported out-of-the-box assuming goncf2 >=2.14.0-5
  * Be more carefull with temporary files:
    - Add signal traps to ensure we don't leave tempfiles behind inadvertently
      if interrupted halfway through the Xsession.d script
    - don't create user path files if we don't add any gconf sources
  * Added observations about performance to README, and add zip with the
    performance test script and test data sets in /usr/share/doc
  * Added caching of profile-activation in the simple case where the resulting
    profile assignment is always the same (i.e when no group or command
    requirements are present in potentially active profiles).
  * desktop-profiles now has a personality setting that determines how it
    reacts to the environment variables controlling the active profiles
    already being set by some other agent.
  * Added German translation by Matthias Julius (Closes: #409643)

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Tue, 17 Apr 2007 23:39:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
 Uploaders: Marco Presi (Zufus) <zufus@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
+Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: desktop-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kommander, gconf-editor, kiosktool, menu-xdg, hicolor-icon-theme, shared-mime-info
+Suggests: kommander, gconf-editor, kiosktool, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
 Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
 Description: framework for setting up desktop profiles
- The different Desktop environments in Debian all offer the possibillity of 
+ The different Desktop environments in Debian all offer the possibility of 
  customizing them through the use of profiles (sets of configuration and/or
  data files). Usually it's also possible to stack configuration sets,
  combining the customizations provided by a number of profiles.

=== debian/rules ===
--- 
+++ 
@@ -37,11 +37,14 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installmenu
-	dh_installman desktop-profiles.7 list-desktop-profiles.1 dh_installlisting.1 profile-manager.1 path2listing.1
-	dh_install dh_installlisting profile-manager usr/bin
+	dh_installcron
+	dh_installman desktop-profiles.7 list-desktop-profiles.1 update-profile-cache.1 dh_installlisting.1 profile-manager.1 path2listing.1
+	dh_install dh_installlisting update-profile-cache profile-manager usr/bin
 	dh_install listingmodule get_desktop-profiles_variables path usr/share/desktop-profiles/
+	dh_install postinst-desktop-profiles usr/share/debhelper/autoscripts/
 	dh_link usr/share/desktop-profiles/path usr/share/doc/desktop-profiles/examples/path
 	dh_install profile-snippet zlogin-snippet usr/share/doc/desktop-profiles/examples
+	dh_install tests.tgz usr/share/doc/desktop-profiles
 	dh_install list-desktop-profiles usr/bin/
 	dh_install profile-manager.kmdr usr/share/desktop-profiles/kommander-scripts/
 	dh_install desktop-profiles etc/default

## desktop-profiles 1.4.15

=== debian/changelog ===
desktop-profiles (1.4.15) unstable; urgency=low

  [ Guillem Jover ]
  * Translations:
    - Added Catalan translations by Guillem Jover.

  [ Bart Cornelis (cobaco) ]
  * Fix cronjob checking profile-cache so it doesn't complain if package is
    deinstalled (Closes: #435986)
  * Corrected links to documentation where necessary:
    - KDE docs are now on techbase wiki
    - location of freedesktop docs changed (though old links were redirected)
    - XFCE doc is on different server (though old link was redirected)
  * Comply with policy version 3.7.3: 
    Change menu entry from Apps/System to Applications/System/Administration
  * Comply with policy version 3.8.0:
    No changes needed  
  * Removed lintian overrides that are no longer necessary as of lintian 1.23.37
  * Add Vcs-Svn and Vcs-Browser fields to debian/control
  * Use proposed machine-parsable format for debian/copyright (as documented
    on http://wiki.debian.org/Proposals/CopyrightFormat)
  * Added Russian translation by Yuri Kozlov (Closes: #454495)
  * Added Turkish translation by Mert Dirik (Closes: #486669)
  * Added Galician translation by Jacobo Tarrio (Closes: #486735)
  * Use correct capitalisation of Xfce

  [ Petter Reinholdtsen ]
  * Rewrite listingmodule to not call groups with a username as argument
    when looking up the current user, to avoid expencive NSS lookup with
    LDAP (Closes: #478950).

 -- Bart Cornelis (cobaco) <cobaco@linux.be>  Wed, 18 Jun 2008 12:10:42 +0200

## desktop-profiles 1.4.15ubuntu1

=== debian/changelog ===
desktop-profiles (1.4.15ubuntu1) jaunty; urgency=low

  * Dropped kiosktools from Suggests since it is being dropped in Jaunty
    (LP: #303908)
  * Updated for maintainer spec.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 30 Nov 2008 18:06:03 -0500

## desktop-profiles 1.4.15%2bnmu1ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: desktop-profiles
 Section: x11
 Priority: optional
-Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
 Uploaders: Marco Presi (Zufus) <zufus@debian.org>
 Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0.0
+Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/desktop-profiles
+Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/desktop-profiles/
 
 Package: desktop-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kommander, gconf-editor, kiosktool, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
+Suggests: kommander, gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
 Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
 Description: framework for setting up desktop profiles
  The different Desktop environments in Debian all offer the possibility of 
@@ -24,7 +27,7 @@
  (who want to have a configuration customized for a certain target group). 
  .
  This package currently supports setting up profiles for KDE, GNOME, ROX,
- XFCE (>=4.2), GNUSTEP, UDE, and Freedesktop. Freedesktop profiles allow
+ Xfce (>=4.2), GNUSTEP, UDE, and Freedesktop. Freedesktop profiles allow
  you to do a (growing amount of) cross-desktop customization, while the 
  other profile kinds allow you to customize the respective desktop environments
  to various degrees.

## desktop-profiles 1.4.15+nmu1

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,9 @@
 
 # Add language-targets as they're added
 # install-l10n will be called from debian rules
-l10n: po/cs.mo po/eu.mo po/fr.mo po/it.mo po/nl.mo po/pt.mo po/sv.mo po/vi.mo 
-install-l10n: install-cs.mo install-eu.mo install-fr.mo install-it.mo install-nl.mo install-pt.mo install-sv.mo install-vi.mo
-update-l10n: update-cs.po update-eu.po update-fr.po update-it.po update-nl.po update-pt.po update-sv.po update-vi.po
+l10n: po/ca.mo po/cs.mo po/eu.mo po/fr.mo po/it.mo po/nl.mo po/pt.mo po/pt_BR.mo po/sv.mo po/vi.mo
+install-l10n: install-ca.mo install-cs.mo install-eu.mo install-fr.mo install-it.mo install-nl.mo install-pt.mo install-pt_BR.mo install-sv.mo install-vi.mo
+update-l10n: update-ca.mo update-cs.po update-eu.po update-fr.po update-it.po update-nl.po update-pt.po update-pt_BR.po update-sv.po update-vi.po
 	
 po/%.mo: po/%.po update-%.po
 	msgfmt -o $@ $<

=== debian/changelog ===
desktop-profiles (1.4.15+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #510725

 -- Christian Perrier <bubulle@debian.org>  Thu, 03 Dec 2009 22:13:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: desktop-profiles
 Section: x11
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
+Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
 Uploaders: Marco Presi (Zufus) <zufus@debian.org>
 Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: po-debconf, intltool
@@ -13,7 +12,7 @@
 Package: desktop-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kommander, gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
+Suggests: kommander, gconf-editor, kiosktool, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
 Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
 Description: framework for setting up desktop profiles
  The different Desktop environments in Debian all offer the possibility of

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,13 @@
 
 build: 
 	# build man-page for dh_installlisting and generate .mo files (l10n)
-	make
+	$(MAKE)
 
 clean:
 	dh_testdir
 	dh_testroot
 	# Add here commands to clean up after the build process.
-	make clean
+	$(MAKE) clean
 	dh_clean 
 
 install: build
@@ -33,7 +33,7 @@
 	dh_testdir
 	dh_testroot	
 	install --mode 644 debian/desktop-profiles.overrides debian/desktop-profiles/usr/share/lintian/overrides/desktop-profiles
-	make install-l10n PREFIX=./debian/desktop-profiles/usr
+	$(MAKE) install-l10n PREFIX=./debian/desktop-profiles/usr
 	dh_installchangelogs
 	dh_installdocs
 	dh_installmenu

## desktop-profiles 1.4.15+nmu1ubuntu1

=== debian/changelog ===
desktop-profiles (1.4.15+nmu1ubuntu1) maverick; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Remove kiosktool from Suggests as it has been removed in Ubuntu

 -- David Futcher <bobbo@ubuntu.com>  Tue, 25 May 2010 16:15:31 +0100

## desktop-profiles 1.4.15+nmu2

=== debian/changelog ===
desktop-profiles (1.4.15+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop extra spaces at the end of the debconf templates file.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #560365
    - Danish (Joe Hansen).  Closes: #656654
    - Polish (Michał Kułach).  Closes: #666778

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Apr 2012 07:36:05 +0200

## desktop-profiles 1.4.15+nmu2ubuntu1

=== debian/changelog ===
desktop-profiles (1.4.15+nmu2ubuntu1) quantal; urgency=low

  * Merge from Debian Unstable. Remaining changes:
   - debian/control: Remove kiosktool from Suggests as it has
     been removed in Ubuntu.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 25 May 2012 14:42:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-profiles
 Section: x11
 Priority: optional
-Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
 Uploaders: Marco Presi (Zufus) <zufus@debian.org>
 Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: po-debconf, intltool
@@ -12,7 +13,7 @@
 Package: desktop-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kommander, gconf-editor, kiosktool, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
+Suggests: kommander, gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
 Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
 Description: framework for setting up desktop profiles
  The different Desktop environments in Debian all offer the possibility of

## desktop-profiles 1.4.18

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-PREFIX=/usr/local
+DESTDIR =
+PREFIX = /usr
 
-build: documentation l10n zip-tests
+build: documentation l10n check
 
-documentation:
+documentation: dh_installlisting.1
+dh_installlisting.1: dh_installlisting
 	pod2man dh_installlisting > dh_installlisting.1
 
 pot: po/profile-manager.pot
@@ -22,22 +24,29 @@
 l10n: po/ca.mo po/cs.mo po/eu.mo po/fr.mo po/it.mo po/nl.mo po/pt.mo po/pt_BR.mo po/sv.mo po/vi.mo
 install-l10n: install-ca.mo install-cs.mo install-eu.mo install-fr.mo install-it.mo install-nl.mo install-pt.mo install-pt_BR.mo install-sv.mo install-vi.mo
 update-l10n: update-ca.mo update-cs.po update-eu.po update-fr.po update-it.po update-nl.po update-pt.po update-pt_BR.po update-sv.po update-vi.po
-	
+
 po/%.mo: po/%.po update-%.po
 	msgfmt -o $@ $<
 
 install-%.mo: po/%.mo
-	mkdir -p ${PREFIX}/share/locale/$*/LC_MESSAGES/
-	install --mode 644 $< ${PREFIX}/share/locale/$*/LC_MESSAGES/profile-manager.mo
+	install -d $(DESTDIR)${PREFIX}/share/locale/$*/LC_MESSAGES/
+	install --mode 644 $< $(DESTDIR)${PREFIX}/share/locale/$*/LC_MESSAGES/profile-manager.mo
 
 update-%.po: po/%.po po/profile-manager.pot
 	cd po && intltool-update -g profile-manager -d $*
-	cd ..
+
+install: install-l10n
+	./dh_installlisting
 
 zip-tests:
 	tar -cvzf tests.tgz tests
 
+check: zip-tests
+
 clean: 
-	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;  
 	if(ls po/*.mo 2> /dev/null > /dev/null); then rm po/*.mo; fi;  
 	if(test -e tests.tgz); then rm tests.tgz; fi
+
+distclean: clean
+realclean: distclean
+	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;

=== debian/changelog ===
desktop-profiles (1.4.18) unstable; urgency=low

  * Rewrote build rules to use dh.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 18 Aug 2013 09:08:55 +0200

desktop-profiles (1.4.17) unstable; urgency=low

  * Update Standards-Version from 3.8.0.0 to 3.9.4.  No changes needed.
  * Update to debhelper compat level 9 from 5.
  * Drop pessulus from suggests, as it no longer exist in Debian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Aug 2013 20:22:44 +0200

desktop-profiles (1.4.16) unstable; urgency=low
 
  [ Bart Cornelis (cobaco) ]
  * Added Japanese translation by "Hideki Yamane (Closes: #510725) 
  * Don't forget to 'set -e' in config and postinst scripts, avoids
    lintian warning.

  [ Petter Reinholdtsen ]
  * Integrate non-maintainer uploads 1.4.15+nmu1 and 1.4.15+nmu2.
  * Drop kiosktool from suggests, as it no longer exist in Debian
    (Closes: #674593).  Patch from Andrew Starr-Bochicchio.
  * Add missing postrm file, making sure to clean up generated files
    during purge (Closes: #527067).  Patch from  Phondanai Khanti.
  * Remove Bart Cornelis and Marco Presi as maintainers.  Thank you
    very much for your great work.  Add debian-edu@lists.debian.org as
    maintainer and myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Aug 2013 15:01:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: desktop-profiles
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bart Cornelis (cobaco) <cobaco@linux.be>
-Uploaders: Marco Presi (Zufus) <zufus@debian.org>
-Build-Depends: debhelper (>= 5.0.0)
+Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.8.0.0
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/desktop-profiles
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/desktop-profiles/
 
 Package: desktop-profiles
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kommander, gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info, pessulus
+Suggests: kommander, gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info
 Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
 Description: framework for setting up desktop profiles
  The different Desktop environments in Debian all offer the possibility of

## desktop-profiles 1.4.19

=== debian/changelog ===
desktop-profiles (1.4.19) unstable; urgency=medium

  [ Alexander Alemayhu ]
  * debian/control:
    - Update Vcs-* control fields.
    - Update standards-version from 3.9.4 to 3.9.5.

  [ Petter Reinholdtsen ]
  * Add Alexander Alemayhu as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 11 Jun 2014 21:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
+ , Alexander Alemayhu <alexander@bitraf.no>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/desktop-profiles
-Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/desktop-profiles/
+Standards-Version: 3.9.5
+Vcs-git: git://anonscm.debian.org/debian-edu/pkg-team/desktop-profiles.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/desktop-profiles.git
 
 Package: desktop-profiles
 Architecture: all

## desktop-profiles 1.4.20

=== debian/changelog ===
desktop-profiles (1.4.20) unstable; urgency=low

  * Correct Vcs control file links to new location.
  * Update lintian-overrides with new notation.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Aug 2014 22:17:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: po-debconf, intltool
 Standards-Version: 3.9.5
-Vcs-git: git://anonscm.debian.org/debian-edu/pkg-team/desktop-profiles.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/pkg-team/desktop-profiles.git
+Vcs-git: git://anonscm.debian.org/debian-edu/upstream/desktop-profiles.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/upstream/desktop-profiles.git
 
 Package: desktop-profiles
 Architecture: all

## desktop-profiles 1.4.22

=== debian/changelog ===
desktop-profiles (1.4.22) unstable; urgency=medium

  * Fix permissions in added files when creating tests.tgz to make build
    reproducable.
  * Add new i18n-status target to list translation status.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Jan 2016 23:04:06 +0100

desktop-profiles (1.4.21) unstable; urgency=medium

  * Make the build reproducable (Closes: #779602).
  * Change Standards-Version from 3.9.5 to 3.9.6.
  * Remove Alexander Alemayhu on his request.  Thank you Alexander
    for all your contributions.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 22 Jan 2016 22:39:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
- , Alexander Alemayhu <alexander@bitraf.no>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-git: git://anonscm.debian.org/debian-edu/upstream/desktop-profiles.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/upstream/desktop-profiles.git

## desktop-profiles 1.4.23

=== debian/changelog ===
desktop-profiles (1.4.23) unstable; urgency=medium

  * Fixed two typos in debian/changelog, thanks lintian!
  * Bump standards version to 3.9.8.
  * Add myself to uploaders to appease lintian.

 -- Holger Levsen <holger@debian.org>  Sun, 14 May 2017 15:28:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>,
+ Holger Levsen <holger@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-git: git://anonscm.debian.org/debian-edu/upstream/desktop-profiles.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-edu/upstream/desktop-profiles.git

## desktop-profiles 1.4.26

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 DESTDIR =
 PREFIX = /usr
+
+BUILD_DATE = $(shell dpkg-parsechangelog --show-field Date)
 
 build: documentation l10n check
 
@@ -11,7 +13,7 @@
 
 pot: po/profile-manager.pot
 	kmdr2po profile-manager.kmdr
-	mkdir -p po/	
+	mkdir -p po/
 	msgmerge po/profile-manager.pot profile-manager.po > po/profile-manager.pot.new
 	mv po/profile-manager.pot.new po/profile-manager.pot && rm profile-manager.po
 	# @i18n strings aren't picked up by kdmr2po at the moment
@@ -39,14 +41,25 @@
 	./dh_installlisting
 
 zip-tests:
-	tar -cvzf tests.tgz tests
+	find tests -not -type d -print0 | \
+		LC_ALL="C" sort --zero-terminated | \
+		GZIP="-9n" tar --mode=go=rX,u+rw,a-s --create --gzip --null --files-from=- \
+			--file=tests.tgz --mtime="$(BUILD_DATE)" \
+			--owner=root --group=root --numeric-owner
+
+i18n-status:
+	for d in po debian/po; do \
+	  for f in $$d/*.po; do \
+	    printf "%s " $$f; msgfmt --output /dev/null --statistics $$f; \
+	  done; \
+	done
 
 check: zip-tests
 
-clean: 
-	if(ls po/*.mo 2> /dev/null > /dev/null); then rm po/*.mo; fi;  
+clean:
+	if(ls po/*.mo 2> /dev/null > /dev/null); then rm po/*.mo; fi;
 	if(test -e tests.tgz); then rm tests.tgz; fi
 
 distclean: clean
 realclean: distclean
-	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;  
+	if(test -e dh_installlisting.1); then rm dh_installlisting.1; fi;

=== debian/changelog ===
desktop-profiles (1.4.26) unstable; urgency=medium

  * Add debian/source/format and switch to 3.0 (native).
  * debian/compat: bump to 11, adjust B-D accordingly.
  * debian/control:
    - use https:// and /git/ URLs for Vcs-* headers.
    - bump to Standards-Version 4.1.3.
    - set Rules-Requires-Root: no.
    - fix trailing whitespaces.
  * desktop-profiles.7, list-desktop-profiles.1 and dh_installlisting: fix
    spelling errors pointed out by Lintian.
  * debian/copyright: fix spelling error, thanks Lintian.
  * debian/changelog: fix trailing whitespace.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Feb 2018 14:57:12 +0000

desktop-profiles (1.4.25) unstable; urgency=medium

  * debian/listing: fix syntax error caused by a typo. Thanks to Wolfgang
    Schnitker for reporting the problem and spotting the cause.
    (Closes: #695948)

 -- Holger Levsen <holger@debian.org>  Fri, 22 Sep 2017 12:52:21 +0200

desktop-profiles (1.4.24) unstable; urgency=medium

  * Switch order of first and second paragraph of package description.
    (Closes: #641122)
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * Bump Standards-Version to 4.1.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 20 Sep 2017 13:38:52 +0200

=== debian/control ===
Source: desktop-profiles
Section: x11
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: po-debconf, intltool
Rules-Require-Root: no
Standards-Version: 4.1.3
Vcs-git: https://anonscm.debian.org/git/debian-edu/upstream/desktop-profiles.git
Vcs-Browser: http://anonscm.debian.org/git/debian-edu/upstream/desktop-profiles.git

Package: desktop-profiles
Architecture: all
Depends: ${misc:Depends}
Suggests: kommander, gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info
Enhances: kdebase, gconf, gconf2, libxfce4util-1 (>= 4.2), rox-filer, ude
Description: framework for setting up desktop profiles
 This package offers a standard cross-desktop way of managing the conditional
 activation of available profiles. As such it is useful to both administrators
 (allowing different configurations for different sets of users) and CDD's
 (who want to have a configuration customized for a certain target group).
 .
 The different Desktop environments in Debian all offer the possibility of
 customizing them through the use of profiles (sets of configuration and/or
 data files). Usually it's also possible to stack configuration sets,
 combining the customizations provided by a number of profiles.
 .
 This package currently supports setting up profiles for KDE, GNOME, ROX,
 Xfce (>=4.2), GNUSTEP, UDE, and Freedesktop. Freedesktop profiles allow
 you to do a (growing amount of) cross-desktop customization, while the
 other profile kinds allow you to customize the respective desktop environments
 to various degrees.

## desktop-profiles 1.4.28

=== debian/changelog ===
desktop-profiles (1.4.28) unstable; urgency=medium

  * d/control:
    - switch packaging to salsa.debian.org. Thanks to the alioth admins for
      providing such a nice service so long!
    - bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 31 May 2018 10:14:52 +0000

desktop-profiles (1.4.27) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Drop profile-manager, related profile-manager.1 manpage and po/* files.
    The last appearance of the needed binary 'kmdr-executor': Lenny.
  * Adjust other manpages to reflect the profile-manager.1 manpage removal.
  * Drop Kommander script 'profile-manager.kmdr' and related debian/menu file.
    The last appearance of the needed binary 'kommander': Stretch.
  * Drop config file, the related debian/po/* files and debian/preinst;
    this has been unneeded since a long time.
  * Cleanup README and desktop-profiles.7 manpage content from information
    concerning no longer available tools.
  * Adjust debian/{control, copyright, desktop-profiles.install,
    desktop-profiles.manpages, listing, postinst, postrm}.
  * Adjust Makefile.
  * d/control: Fix typo (replace Rules-Require-Root with Rules-Requires-Root).

 -- Holger Levsen <holger@debian.org>  Sun, 11 Mar 2018 19:31:51 +0000

=== debian/control ===
Source: desktop-profiles
Section: x11
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Holger Levsen <holger@debian.org>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: po-debconf, intltool
Rules-Requires-Root: no
Standards-Version: 4.1.4
Vcs-git: https://salsa.debian.org/debian-edu/upstream/desktop-profiles
Vcs-Browser: http://salsa.debian.org/debian-edu/upstream/desktop-profiles

Package: desktop-profiles
Architecture: all
Depends: ${misc:Depends}
Suggests: gconf-editor, menu-xdg, hicolor-icon-theme, shared-mime-info
Enhances: kde-baseapps, gconf2, libxfce4util-bin, rox-filer
Description: framework for setting up desktop profiles
 This package offers a standard cross-desktop way of managing the conditional
 activation of available profiles. As such it is useful to both administrators
 (allowing different configurations for different sets of users) and Debian
 Blends (who want to customize configuration for a certain target group).
 .
 The different Desktop environments in Debian all offer the possibility of
 customizing them through the use of profiles (sets of configuration and/or
 data files). Usually it's also possible to stack configuration sets,
 combining the customizations provided by a number of profiles.
 .
 This package currently supports profiles for KDE, GNOME, Xfce, MATE and
 Freedesktop. Freedesktop profiles allow you to do a (growing amount of)
 cross-desktop customization, while the other profile kinds allow you to
 customize the respective desktop environments to various degrees.
